@echo off
color 50
title 004RPG - Starting game
if %1==1 set Message=None.
if not exist SaveData.cmd goto :ResetLvl
call SaveData.cmd

:LoadMenu
cls
title 004RPG - Load game
echo Welcome to 004RPG: Load game.
echo.
echo 5) Level: %Level5%, experience: %Experience5%, HP: %MaximumHP5%, attack: %Attack5%, defense: %Defense5%,
echo    precision: %Precision5%, evasion: %Evasion5%, speed: %Speed5%, luck: %Luck5%.
echo.
echo 6) Level: %Level6%, experience: %Experience6%, HP: %MaximumHP6%, attack: %Attack6%, defense: %Defense6%,
echo    precision: %Precision6%, evasion: %Evasion6%, speed: %Speed6%, luck: %Luck6%.
echo.
echo Message: %Message%
echo.
echo 0) Start from level 1.
echo 1) Load game.
echo.
set /p Choice=Pick an option: 
if %Choice%==0 goto :ResetLvl
if %Choice%==1 goto :Starting
set Message=Invalid option.
goto :LoadMenu

:ResetLvl
set /a Level5=0
set /a Experience5=0
set /a HP5=0
set /a MaximumHP5=0
set /a Attack5=0
set /a Defense5=0
set /a Precision5=0
set /a Evasion5=0
set /a Speed5=0
set /a Luck5=0
set /a Level6=0
set /a Experience6=0
set /a HP6=0
set /a MaximumHP6=0
set /a Attack6=0
set /a Defense6=0
set /a Precision6=0
set /a Evasion6=0
set /a Speed6=0
set /a Luck6=0
set /a LevelUp5=0
set /a LevelUp6=0
set /a Return=0

:LevelUp5
set /a Level5=%Level5%+1
set /a Experience5=%Experience5%-%LevelUp5%
if %MaximumHP5% LSS 20000 set /a MaximumHP5=%MaximumHP5%+100
if %Attack5% LSS 200 set /a Attack5=%Attack5%+1
if %Defense5% LSS 200 set /a Defense5=%Defense5%+1
if %Precision5% LSS 200 set /a Precision5=%Precision5%+1
if %Evasion5% LSS 200 set /a Evasion5=%Evasion5%+1
if %Speed5% LSS 200 set /a Speed5=%Speed5%+1
if %Luck5% LSS 200 set /a Luck5=%Luck5%+1
set /a Extra5=3
set Message2=None.

:Extra5
set Message=%Extra5% extra stats point(s) remaining for the sweeper.
cls
title 004RPG - Extra stats
echo Welcome to 004RPG: Extra stats.
echo.
echo 5) Level: %Level5%, experience: %Experience5%, HP: %MaximumHP5%, attack: %Attack5%, defense: %Defense5%,
echo    precision: %Precision5%, evasion: %Evasion5%, speed: %Speed5%, luck: %Luck5%.
echo.
echo 6) Level: %Level6%, experience: %Experience6%, HP: %MaximumHP6%, attack: %Attack6%, defense: %Defense6%,
echo    precision: %Precision6%, evasion: %Evasion6%, speed: %Speed6%, luck: %Luck6%.
echo.
echo Message 1: %Message%
echo Message 2: %Message2%
echo.
echo 0) Use a extra stats point  on maximum HP.
echo 1) Use a extra stats point  on attack.
echo 2) Use a extra stats point  on defense.
echo 3) Use a extra stats point  on precision.
echo 4) Use a extra stats point  on evasion.
echo 5) Use a extra stats point  on speed.
echo 6) Use 2 extra stats points on luck.
echo.
set /p Choice=Pick an option: 
if %Choice%==0 if %MaximumHP5%==20000 set Message2=Stat maxed out. & goto :Extra5
if %Choice%==0 if %MaximumHP5% LSS 20000 set /a MaximumHP5=%MaximumHP5%+100 & set /a Extra5=%Extra5%-1
if %Choice%==1 if %Attack5%==200 set Message2=Stat maxed out. & goto :Extra5
if %Choice%==1 if %Attack5% LSS 200 set /a Attack5=%Attack5%+1 & set /a Extra5=%Extra5%-1
if %Choice%==2 if %Defense5%==200 set Message2=Stat maxed out. & goto :Extra5
if %Choice%==2 if %Defense5% LSS 200 set /a Defense5=%Defense5%+1 & set /a Extra5=%Extra5%-1
if %Choice%==3 if %Precision5%==200 set Message2=Stat maxed out. & goto :Extra5
if %Choice%==3 if %Precision5% LSS 200 set /a Precision5=%Precision5%+1 & set /a Extra5=%Extra5%-1
if %Choice%==4 if %Evasion5%==200 set Message2=Stat maxed out. & goto :Extra5
if %Choice%==4 if %Evasion5% LSS 200 set /a Evasion5=%Evasion5%+1 & set /a Extra5=%Extra5%-1
if %Choice%==5 if %Speed5%==200 set Message2=Stat maxed out. & goto :Extra5
if %Choice%==5 if %Speed5% LSS 200 set /a Speed5=%Speed5%+1 & set /a Extra5=%Extra5%-1
if %Choice%==6 if %Extra5% LEQ 1 set Message2=Not enough points. & goto :Extra5
if %Choice%==6 if %Luck5%==200 set Message2=Stat maxed out. & goto :Extra5
if %Choice%==6 if %Luck5% LSS 200 if %Extra5% GTR 1 set /a Luck5=%Luck5%+1 & set /a Extra5=%Extra5%-2
if %Extra5%==0 if %Return%==0 goto :LevelUp6
set Message=The sweeper leveled up to %Level5%.
if %Extra5%==0 if %Return%==1 goto :ExpEarn
set Message2=None.
if %Choice% LSS 0 set Message2=Invalid option.
if %Choice% GTR 6 set Message2=Invalid option.
goto :Extra5

:LevelUp6
set /a Level6=%Level6%+1
set /a Experience6=%Experience6%-%LevelUp6%
if %MaximumHP6% LSS 20000 set /a MaximumHP6=%MaximumHP6%+100
if %Attack6% LSS 200 set /a Attack6=%Attack6%+1
if %Defense6% LSS 200 set /a Defense6=%Defense6%+1
if %Precision6% LSS 200 set /a Precision6=%Precision6%+1
if %Evasion6% LSS 200 set /a Evasion6=%Evasion6%+1
if %Speed6% LSS 200 set /a Speed6=%Speed6%+1
if %Luck6% LSS 200 set /a Luck6=%Luck6%+1
set /a Extra6=3
set Message2=None.

:Extra6
set Message=%Extra6% extra stats point(s) remaining for the supporter.
cls
title 004RPG - Extra stats
echo Welcome to 004RPG: Extra stats.
echo.
echo 5) Level: %Level5%, experience: %Experience5%, HP: %MaximumHP5%, attack: %Attack5%, defense: %Defense5%,
echo    precision: %Precision5%, evasion: %Evasion5%, speed: %Speed5%, luck: %Luck5%.
echo.
echo 6) Level: %Level6%, experience: %Experience6%, HP: %MaximumHP6%, attack: %Attack6%, defense: %Defense6%,
echo    precision: %Precision6%, evasion: %Evasion6%, speed: %Speed6%, luck: %Luck6%.
echo.
echo Message 1: %Message%
echo Message 2: %Message2%
echo.
echo 0) Use a extra stats point  on maximum HP.
echo 1) Use a extra stats point  on attack.
echo 2) Use a extra stats point  on defense.
echo 3) Use a extra stats point  on precision.
echo 4) Use a extra stats point  on evasion.
echo 5) Use a extra stats point  on speed.
echo 6) Use 2 extra stats points on luck.
echo.
set /p Choice=Pick an option: 
if %Choice%==0 if %MaximumHP6%==20000 set Message2=Stat maxed out. & goto :Extra6
if %Choice%==0 if %MaximumHP6% LSS 20000 set /a MaximumHP6=%MaximumHP6%+100 & set /a Extra6=%Extra6%-1
if %Choice%==1 if %Attack6%==200 set Message2=Stat maxed out. & goto :Extra6
if %Choice%==1 if %Attack6% LSS 200 set /a Attack6=%Attack6%+1 & set /a Extra6=%Extra6%-1
if %Choice%==2 if %Defense6%==200 set Message2=Stat maxed out. & goto :Extra6
if %Choice%==2 if %Defense6% LSS 200 set /a Defense6=%Defense6%+1 & set /a Extra6=%Extra6%-1
if %Choice%==3 if %Precision6%==200 set Message2=Stat maxed out. & goto :Extra6
if %Choice%==3 if %Precision6% LSS 200 set /a Precision6=%Precision6%+1 & set /a Extra6=%Extra6%-1
if %Choice%==4 if %Evasion6%==200 set Message2=Stat maxed out. & goto :Extra6
if %Choice%==4 if %Evasion6% LSS 200 set /a Evasion6=%Evasion6%+1 & set /a Extra6=%Extra6%-1
if %Choice%==5 if %Speed6%==200 set Message2=Stat maxed out. & goto :Extra6
if %Choice%==5 if %Speed6% LSS 200 set /a Speed6=%Speed6%+1 & set /a Extra6=%Extra6%-1
if %Choice%==6 if %Extra6% LEQ 1 set Message2=Not enough points. & goto :Extra6
if %Choice%==6 if %Luck6%==200 set Message2=Stat maxed out. & goto :Extra6
if %Choice%==6 if %Luck6% LSS 200 if %Extra6% GTR 1 set /a Luck6=%Luck6%+1 & set /a Extra6=%Extra6%-2
if %Extra6%==0 if %Return%==0 goto :Starting
set Message=The supporter leveled up to %Level6%.
if %Extra6%==0 if %Return%==1 goto :ExpEarn
set Message2=None.
if %Choice% LSS 0 set Message2=Invalid option.
if %Choice% GTR 6 set Message2=Invalid option.
goto :Extra6

:Starting
set Message=None.
set Element5=None
set /a ImmunityProportionalHP5=0
set /a ImmunityProportionalMaximumHP5=0
set /a ImmunityHP5=0
set /a ImmunityMaximumHP5=0
set /a ImmunityKamikaze5=0
set /a ImmunityAttackDown5=0
set /a ImmunityDefenseDown5=0
set /a ImmunityPrecisionDown5=0
set /a ImmunityEvasionDown5=0
set /a ImmunitySpeedDown5=0
set /a ImmunityLuckDown5=0
set /a ImmunityPoison5=0
set /a ImmunityDeath5=0
set /a Timer5=0
set /a Poison5=0
set /a Ability0BaseSpeed5=150
set /a Ability0BasePrecision5=100
set /a Ability0BaseAttack5=1
set Ability0Element5=None
set Ability0Formula5=Revive
set /a Ability1BaseSpeed5=100
set /a Ability1BasePrecision5=100
set /a Ability1BaseAttack5=100
set Ability1Element5=None
set Ability1Formula5=Normal
set /a Ability2BaseSpeed5=150
set /a Ability2BasePrecision5=100
set /a Ability2BaseAttack5=1666
set Ability2Element5=None
set Ability2Formula5=Normal
set /a Ability3BaseSpeed5=200
set /a Ability3BasePrecision5=100
set /a Ability3BaseAttack5=3333
set Ability3Element5=None
set Ability3Formula5=Normal
set /a Ability4BaseSpeed5=100
set /a Ability4BasePrecision5=100
set /a Ability4BaseAttack5=100
set Ability4Element5=Fire
set Ability4Formula5=Normal
set /a Ability5BaseSpeed5=150
set /a Ability5BasePrecision5=100
set /a Ability5BaseAttack5=1666
set Ability5Element5=Fire
set Ability5Formula5=Normal
set /a Ability6BaseSpeed5=200
set /a Ability6BasePrecision5=100
set /a Ability6BaseAttack5=3333
set Ability6Element5=Fire
set Ability6Formula5=Normal
set /a Ability7BaseSpeed5=100
set /a Ability7BasePrecision5=100
set /a Ability7BaseAttack5=100
set Ability7Element5=Ice
set Ability7Formula5=Normal
set /a Ability8BaseSpeed5=150
set /a Ability8BasePrecision5=100
set /a Ability8BaseAttack5=1666
set Ability8Element5=Ice
set Ability8Formula5=Normal
set /a Ability9BaseSpeed5=200
set /a Ability9BasePrecision5=100
set /a Ability9BaseAttack5=3333
set Ability9Element5=Ice
set Ability9Formula5=Normal
set /a Ability10BaseSpeed5=100
set /a Ability10BasePrecision5=100
set /a Ability10BaseAttack5=100
set Ability10Element5=Thunder
set Ability10Formula5=Normal
set /a Ability11BaseSpeed5=150
set /a Ability11BasePrecision5=100
set /a Ability11BaseAttack5=1666
set Ability11Element5=Thunder
set Ability11Formula5=Normal
set /a Ability12BaseSpeed5=200
set /a Ability12BasePrecision5=100
set /a Ability12BaseAttack5=3333
set Ability12Element5=Thunder
set Ability12Formula5=Normal
set /a Ability13BaseSpeed5=100
set /a Ability13BasePrecision5=100
set /a Ability13BaseAttack5=100
set Ability13Element5=Water
set Ability13Formula5=Normal
set /a Ability14BaseSpeed5=150
set /a Ability14BasePrecision5=100
set /a Ability14BaseAttack5=1666
set Ability14Element5=Water
set Ability14Formula5=Normal
set /a Ability15BaseSpeed5=200
set /a Ability15BasePrecision5=100
set /a Ability15BaseAttack5=3333
set Ability15Element5=Water
set Ability15Formula5=Normal
set /a Ability16BaseSpeed5=100
set /a Ability16BasePrecision5=100
set /a Ability16BaseAttack5=100
set Ability16Element5=Light
set Ability16Formula5=Normal
set /a Ability17BaseSpeed5=150
set /a Ability17BasePrecision5=100
set /a Ability17BaseAttack5=1666
set Ability17Element5=Light
set Ability17Formula5=Normal
set /a Ability18BaseSpeed5=200
set /a Ability18BasePrecision5=100
set /a Ability18BaseAttack5=3333
set Ability18Element5=Light
set Ability18Formula5=Normal
set /a Ability19BaseSpeed5=100
set /a Ability19BasePrecision5=100
set /a Ability19BaseAttack5=100
set Ability19Element5=Darkness
set Ability19Formula5=Normal
set /a Ability20BaseSpeed5=150
set /a Ability20BasePrecision5=100
set /a Ability20BaseAttack5=1666
set Ability20Element5=Darkness
set Ability20Formula5=Normal
set /a Ability21BaseSpeed5=200
set /a Ability21BasePrecision5=100
set /a Ability21BaseAttack5=3333
set Ability21Element5=Darkness
set Ability21Formula5=Normal
set /a Ability22BaseSpeed5=100
set /a Ability22BasePrecision5=100
set /a Ability22BaseAttack5=25
set Ability22Element5=None
set Ability22Formula5=PropHP
set /a Ability23BaseSpeed5=150
set /a Ability23BasePrecision5=100
set /a Ability23BaseAttack5=50
set Ability23Element5=None
set Ability23Formula5=PropHP
set /a Ability24BaseSpeed5=200
set /a Ability24BasePrecision5=100
set /a Ability24BaseAttack5=75
set Ability24Element5=None
set Ability24Formula5=PropHP
set /a Ability25BaseSpeed5=100
set /a Ability25BasePrecision5=100
set /a Ability25BaseAttack5=25
set Ability25Element5=None
set Ability25Formula5=PropMHP
set /a Ability26BaseSpeed5=150
set /a Ability26BasePrecision5=100
set /a Ability26BaseAttack5=50
set Ability26Element5=None
set Ability26Formula5=PropMHP
set /a Ability27BaseSpeed5=200
set /a Ability27BasePrecision5=100
set /a Ability27BaseAttack5=75
set Ability27Element5=None
set Ability27Formula5=PropMHP
set /a Ability28BaseSpeed5=200
set /a Ability28BasePrecision5=100
set /a Ability28BaseAttack5=0
set Ability28Element5=None
set Ability28Formula5=HP
set /a Ability29BaseSpeed5=300
set /a Ability29BasePrecision5=100
set /a Ability29BaseAttack5=0
set Ability29Element5=None
set Ability29Formula5=MaxHP
set /a Ability30BaseSpeed5=400
set /a Ability30BasePrecision5=100
set /a Ability30BaseAttack5=5
set Ability30Element5=None
set Ability30Formula5=Kamikaze
set Element6=None
set /a ImmunityProportionalHP6=0
set /a ImmunityProportionalMaximumHP6=0
set /a ImmunityHP6=0
set /a ImmunityMaximumHP6=0
set /a ImmunityKamikaze6=0
set /a ImmunityAttackDown6=0
set /a ImmunityDefenseDown6=0
set /a ImmunityPrecisionDown6=0
set /a ImmunityEvasionDown6=0
set /a ImmunitySpeedDown6=0
set /a ImmunityLuckDown6=0
set /a ImmunityPoison6=0
set /a ImmunityDeath6=0
set /a Timer6=0
set /a Poison6=0
set /a Ability0BaseSpeed6=150
set /a Ability0BasePrecision6=100
set /a Ability0BaseAttack6=1
set Ability0Element6=None
set Ability0Formula6=Revive
set /a Ability1BaseSpeed6=100
set /a Ability1BasePrecision6=100
set /a Ability1BaseAttack6=100
set Ability1Element6=None
set Ability1Formula6=Healing
set /a Ability2BaseSpeed6=150
set /a Ability2BasePrecision6=100
set /a Ability2BaseAttack6=1666
set Ability2Element6=None
set Ability2Formula6=Healing
set /a Ability3BaseSpeed6=200
set /a Ability3BasePrecision6=100
set /a Ability3BaseAttack6=3333
set Ability3Element6=None
set Ability3Formula6=Healing
set /a Ability4BaseSpeed6=100
set /a Ability4BasePrecision6=100
set /a Ability4BaseAttack6=1
set Ability4Element6=None
set Ability4Formula6=Revive
set /a Ability5BaseSpeed6=150
set /a Ability5BasePrecision6=100
set /a Ability5BaseAttack6=50
set Ability5Element6=None
set Ability5Formula6=Revive
set /a Ability6BaseSpeed6=200
set /a Ability6BasePrecision6=100
set /a Ability6BaseAttack6=100
set Ability6Element6=None
set Ability6Formula6=Revive
set /a Ability7BaseSpeed6=100
set /a Ability7BasePrecision6=100
set /a Ability7BaseAttack6=7
set Ability7Element6=None
set Ability7Formula6=StatDown
set /a Ability8BaseSpeed6=150
set /a Ability8BasePrecision6=100
set /a Ability8BaseAttack6=8
set Ability8Element6=None
set Ability8Formula6=StatDown
set /a Ability9BaseSpeed6=200
set /a Ability9BasePrecision6=100
set /a Ability9BaseAttack6=9
set Ability9Element6=None
set Ability9Formula6=StatDown
set /a Ability10BaseSpeed6=100
set /a Ability10BasePrecision6=100
set /a Ability10BaseAttack6=10
set Ability10Element6=None
set Ability10Formula6=StatUp
set /a Ability11BaseSpeed6=150
set /a Ability11BasePrecision6=100
set /a Ability11BaseAttack6=11
set Ability11Element6=None
set Ability11Formula6=StatUp
set /a Ability12BaseSpeed6=200
set /a Ability12BasePrecision6=100
set /a Ability12BaseAttack6=12
set Ability12Element6=None
set Ability12Formula6=StatUp
set /a Ability13BaseSpeed6=100
set /a Ability13BasePrecision6=100
set /a Ability13BaseAttack6=13
set Ability13Element6=None
set Ability13Formula6=StatDown
set /a Ability14BaseSpeed6=150
set /a Ability14BasePrecision6=100
set /a Ability14BaseAttack6=14
set Ability14Element6=None
set Ability14Formula6=StatDown
set /a Ability15BaseSpeed6=200
set /a Ability15BasePrecision6=100
set /a Ability15BaseAttack6=15
set Ability15Element6=None
set Ability15Formula6=StatDown
set /a Ability16BaseSpeed6=100
set /a Ability16BasePrecision6=100
set /a Ability16BaseAttack6=16
set Ability16Element6=None
set Ability16Formula6=StatUp
set /a Ability17BaseSpeed6=150
set /a Ability17BasePrecision6=100
set /a Ability17BaseAttack6=17
set Ability17Element6=None
set Ability17Formula6=StatUp
set /a Ability18BaseSpeed6=200
set /a Ability18BasePrecision6=100
set /a Ability18BaseAttack6=18
set Ability18Element6=None
set Ability18Formula6=StatUp
set /a Ability19BaseSpeed6=100
set /a Ability19BasePrecision6=100
set /a Ability19BaseAttack6=19
set Ability19Element6=None
set Ability19Formula6=StatDown
set /a Ability20BaseSpeed6=150
set /a Ability20BasePrecision6=100
set /a Ability20BaseAttack6=20
set Ability20Element6=None
set Ability20Formula6=StatDown
set /a Ability21BaseSpeed6=200
set /a Ability21BasePrecision6=100
set /a Ability21BaseAttack6=21
set Ability21Element6=None
set Ability21Formula6=StatDown
set /a Ability22BaseSpeed6=100
set /a Ability22BasePrecision6=100
set /a Ability22BaseAttack6=22
set Ability22Element6=None
set Ability22Formula6=StatUp
set /a Ability23BaseSpeed6=150
set /a Ability23BasePrecision6=100
set /a Ability23BaseAttack6=23
set Ability23Element6=None
set Ability23Formula6=StatUp
set /a Ability24BaseSpeed6=200
set /a Ability24BasePrecision6=100
set /a Ability24BaseAttack6=24
set Ability24Element6=None
set Ability24Formula6=StatUp
set /a Ability25BaseSpeed6=100
set /a Ability25BasePrecision6=100
set /a Ability25BaseAttack6=25
set Ability25Element6=None
set Ability25Formula6=StatDown
set /a Ability26BaseSpeed6=150
set /a Ability26BasePrecision6=100
set /a Ability26BaseAttack6=26
set Ability26Element6=None
set Ability26Formula6=StatDown
set /a Ability27BaseSpeed6=200
set /a Ability27BasePrecision6=100
set /a Ability27BaseAttack6=27
set Ability27Element6=None
set Ability27Formula6=StatDown
set /a Ability28BaseSpeed6=100
set /a Ability28BasePrecision6=100
set /a Ability28BaseAttack6=28
set Ability28Element6=None
set Ability28Formula6=StatUp
set /a Ability29BaseSpeed6=150
set /a Ability29BasePrecision6=100
set /a Ability29BaseAttack6=29
set Ability29Element6=None
set Ability29Formula6=StatUp
set /a Ability30BaseSpeed6=200
set /a Ability30BasePrecision6=100
set /a Ability30BaseAttack6=30
set Ability30Element6=None
set Ability30Formula6=StatUp
set /a Ability31BaseSpeed6=100
set /a Ability31BasePrecision6=100
set /a Ability31BaseAttack6=31
set Ability31Element6=None
set Ability31Formula6=StatDown
set /a Ability32BaseSpeed6=150
set /a Ability32BasePrecision6=100
set /a Ability32BaseAttack6=32
set Ability32Element6=None
set Ability32Formula6=StatDown
set /a Ability33BaseSpeed6=200
set /a Ability33BasePrecision6=100
set /a Ability33BaseAttack6=33
set Ability33Element6=None
set Ability33Formula6=StatDown
set /a Ability34BaseSpeed6=100
set /a Ability34BasePrecision6=100
set /a Ability34BaseAttack6=34
set Ability34Element6=None
set Ability34Formula6=StatUp
set /a Ability35BaseSpeed6=150
set /a Ability35BasePrecision6=100
set /a Ability35BaseAttack6=35
set Ability35Element6=None
set Ability35Formula6=StatUp
set /a Ability36BaseSpeed6=200
set /a Ability36BasePrecision6=100
set /a Ability36BaseAttack6=36
set Ability36Element6=None
set Ability36Formula6=StatUp
set /a Ability37BaseSpeed6=100
set /a Ability37BasePrecision6=100
set /a Ability37BaseAttack6=37
set Ability37Element6=None
set Ability37Formula6=StatDown
set /a Ability38BaseSpeed6=150
set /a Ability38BasePrecision6=100
set /a Ability38BaseAttack6=38
set Ability38Element6=None
set Ability38Formula6=StatDown
set /a Ability39BaseSpeed6=200
set /a Ability39BasePrecision6=100
set /a Ability39BaseAttack6=39
set Ability39Element6=None
set Ability39Formula6=StatDown
set /a Ability40BaseSpeed6=100
set /a Ability40BasePrecision6=100
set /a Ability40BaseAttack6=40
set Ability40Element6=None
set Ability40Formula6=StatUp
set /a Ability41BaseSpeed6=150
set /a Ability41BasePrecision6=100
set /a Ability41BaseAttack6=41
set Ability41Element6=None
set Ability41Formula6=StatUp
set /a Ability42BaseSpeed6=200
set /a Ability42BasePrecision6=100
set /a Ability42BaseAttack6=42
set Ability42Element6=None
set Ability42Formula6=StatUp
set /a Ability43BaseSpeed6=100
set /a Ability43BasePrecision6=100
set /a Ability43BaseAttack6=1
set Ability43Element6=None
set Ability43Formula6=Poison
set /a Ability44BaseSpeed6=150
set /a Ability44BasePrecision6=100
set /a Ability44BaseAttack6=2
set Ability44Element6=None
set Ability44Formula6=Poison
set /a Ability45BaseSpeed6=200
set /a Ability45BasePrecision6=100
set /a Ability45BaseAttack6=3
set Ability45Element6=None
set Ability45Formula6=Poison
set /a Ability46BaseSpeed6=100
set /a Ability46BasePrecision6=33
set /a Ability46BaseAttack6=0
set Ability46Element6=None
set Ability46Formula6=Death
set /a Ability47BaseSpeed6=150
set /a Ability47BasePrecision6=66
set /a Ability47BaseAttack6=0
set Ability47Element6=None
set Ability47Formula6=Death
set /a Ability48BaseSpeed6=200
set /a Ability48BasePrecision6=100
set /a Ability48BaseAttack6=0
set Ability48Element6=None
set Ability48Formula6=Death

:LvlMenu
cls
title 004RPG - Level menu
echo Welcome to 004RPG: Level menu.
echo.
echo 5) Level: %Level5%, experience: %Experience5%, HP: %MaximumHP5%, attack: %Attack5%, defense: %Defense5%,
echo    precision: %Precision5%, evasion: %Evasion5%, speed: %Speed5%, luck: %Luck5%.
echo.
echo 6) Level: %Level6%, experience: %Experience6%, HP: %MaximumHP6%, attack: %Attack6%, defense: %Defense6%,
echo    precision: %Precision6%, evasion: %Evasion6%, speed: %Speed6%, luck: %Luck6%.
echo.
echo Message: %Message%
echo.
set /p Choice=Pick a level (0-24): 
if not exist Levels\%Choice%.cmd set Message=Invalid level. & goto :LvlMenu
call Levels\%Choice%.cmd

:Speeds
if 1%Speed1% LSS 1%Speed2% if %Enemies% GTR 1 set /a Timer1=%Timer1%-1
if 1%Speed1% LSS 1%Speed3% if %Enemies% GTR 2 set /a Timer1=%Timer1%-1
if 1%Speed1% LSS 1%Speed4% if %Enemies% GTR 3 set /a Timer1=%Timer1%-1
if %Speed1% LSS %Speed5% set /a Timer1=%Timer1%-1
if %Speed1% LSS %Speed6% set /a Timer1=%Timer1%-1
if 1%Speed2% LSS 1%Speed1% set /a Timer2=%Timer2%-1
if 1%Speed2% LSS 1%Speed3% if %Enemies% GTR 2 set /a Timer2=%Timer2%-1
if 1%Speed2% LSS 1%Speed4% if %Enemies% GTR 3 set /a Timer2=%Timer2%-1
if 1%Speed2% LSS 1%Speed5% set /a Timer2=%Timer2%-1
if 1%Speed2% LSS 1%Speed6% set /a Timer2=%Timer2%-1
if 1%Speed3% LSS 1%Speed1% set /a Timer3=%Timer3%-1
if 1%Speed3% LSS 1%Speed2% set /a Timer3=%Timer3%-1
if 1%Speed3% LSS 1%Speed4% if %Enemies% GTR 3 set /a Timer3=%Timer3%-1
if 1%Speed3% LSS 1%Speed5% set /a Timer3=%Timer3%-1
if 1%Speed3% LSS 1%Speed6% set /a Timer3=%Timer3%-1
if 1%Speed4% LSS 1%Speed1% set /a Timer4=%Timer4%-1
if 1%Speed4% LSS 1%Speed2% set /a Timer4=%Timer4%-1
if 1%Speed4% LSS 1%Speed3% set /a Timer4=%Timer4%-1
if 1%Speed4% LSS 1%Speed5% set /a Timer4=%Timer4%-1
if 1%Speed4% LSS 1%Speed6% set /a Timer4=%Timer4%-1
if %Speed5% LSS %Speed1% set /a Timer5=%Timer5%-1
if 1%Speed5% LSS 1%Speed2% if %Enemies% GTR 1 set /a Timer5=%Timer5%-1
if 1%Speed5% LSS 1%Speed3% if %Enemies% GTR 2 set /a Timer5=%Timer5%-1
if 1%Speed5% LSS 1%Speed4% if %Enemies% GTR 3 set /a Timer5=%Timer5%-1
if %Speed5% LSS %Speed6% set /a Timer5=%Timer5%-1
if %Speed6% LSS %Speed1% set /a Timer6=%Timer6%-1
if 1%Speed6% LSS 1%Speed2% if %Enemies% GTR 1 set /a Timer6=%Timer6%-1
if 1%Speed6% LSS 1%Speed3% if %Enemies% GTR 2 set /a Timer6=%Timer6%-1
if 1%Speed6% LSS 1%Speed4% if %Enemies% GTR 3 set /a Timer6=%Timer6%-1
if %Speed6% LSS %Speed5% set /a Timer6=%Timer6%-1
set /a HP5=%MaximumHP5%
set /a HP6=%MaximumHP6%
set /a RealHP5=%HP5%
set /a RealMaximumHP5=%MaximumHP5%
set /a RealAttack5=%Attack5%
set /a RealDefense5=%Defense5%
set /a RealPrecision5=%Precision5%
set /a RealEvasion5=%Evasion5%
set /a RealSpeed5=%Speed5%
set /a RealLuck5=%Luck5%
set /a RealHP6=%HP6%
set /a RealMaximumHP6=%MaximumHP6%
set /a RealAttack6=%Attack6%
set /a RealDefense6=%Defense6%
set /a RealPrecision6=%Precision6%
set /a RealEvasion6=%Evasion6%
set /a RealSpeed6=%Speed6%
set /a RealLuck6=%Luck6%
set Message=None.

:BattleSt
cls
title 004RPG - Level %Choice%
echo Welcome to HyperRPG: Level %Choice%
echo.
echo Message: %Message%
echo.
echo Enemies:
echo.
echo 1) Level: %Level1%, HP: %HP1%/%MaximumHP1%, attack: %Attack1%, defense: %Defense1%, precision: %Precision1%,
echo    evasion: %Evasion1%, speed: %Speed1%, luck: %Luck1%, element: %Element1%, timer: %Timer1%, poison: %Poison1%.
echo.
if %Enemies% GTR 1 echo 2) Level: %Level2%, HP: %HP2%/%MaximumHP2%, attack: %Attack2%, defense: %Defense2%, precision: %Precision2%, & echo    evasion: %Evasion2%, speed: %Speed2%, luck: %Luck2%, element: %Element2%, timer: %Timer2%, poison: %Poison2%. & echo.
if %Enemies% GTR 2 echo 3) Level: %Level3%, HP: %HP3%/%MaximumHP3%, attack: %Attack3%, defense: %Defense3%, precision: %Precision3%, & echo    evasion: %Evasion3%, speed: %Speed3%, luck: %Luck3%, element: %Element3%, timer: %Timer3%, poison: %Poison3%. & echo.
if %Enemies% GTR 3 echo 4) Level: %Level4%, HP: %HP4%/%MaximumHP4%, attack: %Attack4%, defense: %Defense4%, precision: %Precision4%, & echo    evasion: %Evasion4%, speed: %Speed4%, luck: %Luck4%, element: %Element4%, timer: %Timer4%, poison: %Poison4%. & echo.
echo Party:
echo.
echo 5) Level: %Level5%, experience: %Experience5%, HP: %HP5%/%MaximumHP5%, attack: %Attack5%, defense: %Defense5%,
echo    precision: %Precision5%, evasion: %Evasion5%, speed: %Speed5%, luck: %Luck5%, element: %Element5%,
echo    timer: %Timer5%, poison: %Poison5%.
echo.
echo 6) Level: %Level6%, experience: %Experience6%, HP: %HP6%/%MaximumHP6%, attack: %Attack6%, defense: %Defense6%,
echo    precision: %Precision6%, evasion: %Evasion6%, speed: %Speed6%, luck: %Luck6%, element: %Element6%,
echo    timer: %Timer6%, poison: %Poison6%.
echo.
timeout /t 5 >nul
color 50
set /a TotalHPPC=%HP1%
if %Enemies%==2 set /a TotalHPPC=%HP1%+%HP2%
if %Enemies%==3 set /a TotalHPPC=%HP1%+%HP2%+%HP3%
if %Enemies%==4 set /a TotalHPPC=%HP1%+%HP2%+%HP3%+%HP4%
set /a TotalHPPlayer=%HP5%+%HP6%
if %TotalHPPlayer%==0 goto :Lose
if %TotalHPPC%==0 goto :Win

:Wait
if %HP1% GTR 0 if %Timer1%==0 set /a User=1 & goto :Turn1234
if 1%HP2% GTR 10 if %Timer2%==0 if %Enemies% GTR 1 set /a User=2 & goto :Turn1234
if 1%HP3% GTR 10 if %Timer3%==0 if %Enemies% GTR 2 set /a User=3 & goto :Turn1234
if 1%HP4% GTR 10 if %Timer4%==0 if %Enemies% GTR 3 set /a User=4 & goto :Turn1234
if %HP5% GTR 0 if %Timer5%==0 set /a User=5 & goto :Turn5
if %HP6% GTR 0 if %Timer6%==0 set /a User=6 & goto :Turn6
if %HP1% GTR 0 if %Timer1% LSS 0 set /a Timer1=%Timer1%+1
if 1%HP2% GTR 10 if %Timer2% LSS 0 set /a Timer2=%Timer2%+1
if 1%HP3% GTR 10 if %Timer3% LSS 0 set /a Timer3=%Timer3%+1
if 1%HP4% GTR 10 if %Timer4% LSS 0 set /a Timer4=%Timer4%+1
if %HP5% GTR 0 if %Timer5% LSS 0 set /a Timer5=%Timer5%+1
if %HP6% GTR 0 if %Timer6% LSS 0 set /a Timer6=%Timer6%+1
if %HP1% GTR 0 if %Poison1%==1 set /a HP1=%HP1%-1
if %HP1% GTR 0 if %Poison1%==2 set /a HP1=%HP1%-2
if %HP1% GTR 0 if %Poison1%==3 set /a HP1=%HP1%-3
if 1%HP2% GTR 10 if 1%Poison2%==11 set /a HP2=%HP2%-1
if 1%HP2% GTR 10 if 1%Poison2%==12 set /a HP2=%HP2%-2
if 1%HP2% GTR 10 if 1%Poison2%==13 set /a HP2=%HP2%-3
if 1%HP3% GTR 10 if 1%Poison3%==11 set /a HP3=%HP3%-1
if 1%HP3% GTR 10 if 1%Poison3%==12 set /a HP3=%HP3%-2
if 1%HP3% GTR 10 if 1%Poison3%==13 set /a HP3=%HP3%-3
if 1%HP4% GTR 10 if 1%Poison4%==11 set /a HP4=%HP4%-1
if 1%HP4% GTR 10 if 1%Poison4%==12 set /a HP4=%HP4%-2
if 1%HP4% GTR 10 if 1%Poison4%==13 set /a HP4=%HP4%-3
if %HP5% GTR 0 if %Poison5%==1 set /a HP5=%HP5%-1
if %HP5% GTR 0 if %Poison5%==2 set /a HP5=%HP5%-2
if %HP5% GTR 0 if %Poison5%==3 set /a HP5=%HP5%-3
if %HP6% GTR 0 if %Poison6%==1 set /a HP6=%HP6%-1
if %HP6% GTR 0 if %Poison6%==2 set /a HP6=%HP6%-2
if %HP6% GTR 0 if %Poison6%==3 set /a HP6=%HP6%-3
if %HP1%==0 set /a Poison1=0
if 1%HP2%==10 set /a Poison2=0
if 1%HP3%==10 set /a Poison3=0
if 1%HP4%==10 set /a Poison4=0
if %HP5%==0 set /a Poison5=0
if %HP6%==0 set /a Poison6=0
goto :Wait

:Turn1234
set /a Ability=1
if !EnemyAbilities%User%!==2 set /a Ability=%Random%/10923
if !EnemyAbilities%User%!==3 set /a Ability=%Random%/8192
if !EnemyAbilities%User%!==4 set /a Ability=%Random%/6554
if !EnemyAbilities%User%!==5 set /a Ability=%Random%/5462
if !EnemyAbilities%User%!==6 set /a Ability=%Random%/4682
if !EnemyAbilities%User%!==7 set /a Ability=%Random%/4096
if !EnemyAbilities%User%!==8 set /a Ability=%Random%/3641
if %Ability%==0 set /a Ability=1
if !Ability%Ability%Formula%User%!==Normal goto :Targ56
if !Ability%Ability%Formula%User%!==PropHP goto :Targ56
if !Ability%Ability%Formula%User%!==PropMHP goto :Targ56
if !Ability%Ability%Formula%User%!==HP goto :Targ56
if !Ability%Ability%Formula%User%!==MaxHP goto :Targ56
if !Ability%Ability%Formula%User%!==Kamikaze goto :Targ56
if !Ability%Ability%Formula%User%!==Healing goto :Targ1234
if !Ability%Ability%Formula%User%!==Revive goto :Targ1234
if !Ability%Ability%Formula%User%!==StatDown goto :Targ56
if !Ability%Ability%Formula%User%!==StatUp goto :Targ1234
if !Ability%Ability%Formula%User%!==Poison goto :Targ56
if !Ability%Ability%Formula%User%!==Death goto :Targ56
if !Ability%Ability%Formula%User%!==Elem1234 goto :Targ1234
if !Ability%Ability%Formula%User%!==Elem56 goto :Targ56
set Message=Invalid ability formula (Debug error, user: %User%, ability: %Ability%)
goto :BattleSt

:Targ56
set/a Target=%Random%/10923+4
if %Target%==4 set /a Target=5
goto :Formulas

:Targ1234
set /a Target=1
if %Enemies%==2 set/a Target=%Random%/10923
if %Enemies%==3 set/a Target=%Random%/8192
if %Enemies%==4 set/a Target=%Random%/6554
if %Target%==0 set /a Target=1
goto :Formulas

:Turn5
echo It's the sweeper's turn.
echo.
echo Abilities:
echo.
echo  0) Phoenix's feather (Level 1)
echo  1) Attack (Level 1)            16) Light (Level 6)
echo  2) SuperAttack (Level 8)       17) SuperLight (Level 13)
echo  3) HyperAttack (Level 15)      18) HyperLight (Level 20)
echo  4) Fire (Level 2)              19) Darkness (Level 7)
echo  5) SuperFire (Level 9)         20) SuperDarkness (Level 14)
echo  6) HyperFire (Level 16)        21) HyperDarkness (Level 21)
echo  7) Ice (Level 3)               22) ProportionalHP (Level 22)
echo  8) SuperIce (Level 10)         23) SuperProportionalHP (Level 23)
echo  9) HyperIce (Level 17)         24) HyperProportionalHP (Level 24)
echo 10) Lightning (Level 4)         25) ProportionalMaximumHP (Level 25)
echo 11) SuperLightning (Level 11)   26) SuperProportionalMaximumHP (Level 26)
echo 12) HyperLightning (Level 18)   27) HyperProportionalMaximumHP (Level 27)
echo 13) Water (Level 5)             28) HP (Level 28)
echo 14) SuperWater (Level 12)       29) MaximumHP (Level 29)
echo 15) HyperWater (Level 19)       30) Kamikaze (Level 30)
echo.
set /p Ability=Pick an ability: 
if %Ability% LSS 0 set Message=Invalid ability. & goto :BattleSt
if %Ability% GTR 30 set Message=Invalid ability. & goto :BattleSt
if %Ability%==2 if %Level5% LSS 8 set Message=Not enough level. & goto :BattleSt
if %Ability%==3 if %Level5% LSS 15 set Message=Not enough level. & goto :BattleSt
if %Ability%==4 if %Level5% LSS 2 set Message=Not enough level. & goto :BattleSt
if %Ability%==5 if %Level5% LSS 9 set Message=Not enough level. & goto :BattleSt
if %Ability%==6 if %Level5% LSS 16 set Message=Not enough level. & goto :BattleSt
if %Ability%==7 if %Level5% LSS 3 set Message=Not enough level. & goto :BattleSt
if %Ability%==8 if %Level5% LSS 10 set Message=Not enough level. & goto :BattleSt
if %Ability%==9 if %Level5% LSS 17 set Message=Not enough level. & goto :BattleSt
if %Ability%==10 if %Level5% LSS 4 set Message=Not enough level. & goto :BattleSt
if %Ability%==11 if %Level5% LSS 11 set Message=Not enough level. & goto :BattleSt
if %Ability%==12 if %Level5% LSS 18 set Message=Not enough level. & goto :BattleSt
if %Ability%==13 if %Level5% LSS 5 set Message=Not enough level. & goto :BattleSt
if %Ability%==14 if %Level5% LSS 12 set Message=Not enough level. & goto :BattleSt
if %Ability%==15 if %Level5% LSS 19 set Message=Not enough level. & goto :BattleSt
if %Ability%==16 if %Level5% LSS 6 set Message=Not enough level. & goto :BattleSt
if %Ability%==17 if %Level5% LSS 13 set Message=Not enough level. & goto :BattleSt
if %Ability%==18 if %Level5% LSS 20 set Message=Not enough level. & goto :BattleSt
if %Ability%==19 if %Level5% LSS 7 set Message=Not enough level. & goto :BattleSt
if %Ability%==20 if %Level5% LSS 14 set Message=Not enough level. & goto :BattleSt
if %Ability%==21 if %Level5% LSS 21 set Message=Not enough level. & goto :BattleSt
if %Ability%==22 if %Level5% LSS 22 set Message=Not enough level. & goto :BattleSt
if %Ability%==23 if %Level5% LSS 23 set Message=Not enough level. & goto :BattleSt
if %Ability%==24 if %Level5% LSS 24 set Message=Not enough level. & goto :BattleSt
if %Ability%==25 if %Level5% LSS 25 set Message=Not enough level. & goto :BattleSt
if %Ability%==26 if %Level5% LSS 26 set Message=Not enough level. & goto :BattleSt
if %Ability%==27 if %Level5% LSS 27 set Message=Not enough level. & goto :BattleSt
if %Ability%==28 if %Level5% LSS 28 set Message=Not enough level. & goto :BattleSt
if %Ability%==29 if %Level5% LSS 29 set Message=Not enough level. & goto :BattleSt
if %Ability%==30 if %Level5% LSS 30 set Message=Not enough level. & goto :BattleSt
echo.
set /p Target=Pick a target: 
if %Target% LEQ 0 set Message=Invalid target. & goto :BattleSt
if %Target% GTR 6 set Message=Invalid target. & goto :BattleSt
if %Target%==2 if %Enemies% LSS 2 set Message=Invalid target. & goto :BattleSt
if %Target%==3 if %Enemies% LSS 3 set Message=Invalid target. & goto :BattleSt
if %Target%==4 if %Enemies% LSS 4 set Message=Invalid target. & goto :BattleSt
goto :Formulas

:Turn6
echo It's the supporter's turn.
echo.
echo Abilities:
echo.
echo  0) Phoenix's feather (Level 1)
echo  1) Cure (Level 1)                 25) EvasionDown (Level 9)
echo  2) SuperCure (Level 15)           26) SuperEvasionDown (Level 23)
echo  3) HyperCure (Level 29)           27) HyperEvasionDown (Level 37)
echo  4) Revive (Level 2)               28) EvasionUp (Level 10)
echo  5) SuperRevive (Level 16)         29) SuperEvasionUp (Level 24)
echo  6) HyperRevive (Level 30)         30) HyperEvasionUp (Level 38)
echo  7) AttackDown (Level 3)           31) SpeedDown (Level 11)
echo  8) SuperAttackDown (Level 17)     32) SuperSpeedDown (Level 25)
echo  9) HyperAttackDown (Level 31)     33) HyperSpeedDown (Level 39)
echo 10) AttackUp (Level 4)             34) SpeedUp (Level 12)
echo 11) SuperAttackUp (Level 18)       35) SuperSpeedUp (Level 26)
echo 12) HyperAttackUp (Level 32)       36) HyperSpeedUp (Level 40)
echo 13) DefenseDown (Level 5)          37) LuckDown (Level 13)
echo 14) SuperDefenseDown (Level 19)    38) SuperLuckDown (Level 27)
echo 15) HyperDefenseDown (Level 33)    39) HyperLuckDown (Level 41)
echo 16) DefenseUp (Level 6)            40) LuckUp (Level 14)
echo 17) SuperDefenseUp (Level 20)      41) SuperLuckUp (Level 28)
echo 18) HyperDefenseUp (Level 34)      42) HyperLuckUp (Level 42)
echo 19) PrecisionDown (Level 7)        43) Poison (Level 43)
echo 20) SuperPrecisionDown (Level 21)  44) SuperPoison (Level 44)
echo 21) HyperPrecisionDown (Level 35)  45) HyperPoison (Level 45)
echo 22) PrecisionUp (Level 8)          46) Death (Level 46)
echo 23) SuperPrecisionUp (Level 22)    47) SuperDeath (Level 47)
echo 24) HyperPrecisionUp (Level 36)    48) HyperDeath (Level 48)
echo.
set /p Ability=Pick an ability: 
if %Ability% LSS 0 set Message=Invalid ability. & goto :BattleSt
if %Ability% GTR 48 set Message=Invalid ability. & goto :BattleSt
if %Ability%==2 if %Level6% LSS 15 set Message=Not enough level. & goto :BattleSt
if %Ability%==3 if %Level6% LSS 29 set Message=Not enough level. & goto :BattleSt
if %Ability%==4 if %Level6% LSS 2 set Message=Not enough level. & goto :BattleSt
if %Ability%==5 if %Level6% LSS 16 set Message=Not enough level. & goto :BattleSt
if %Ability%==6 if %Level6% LSS 30 set Message=Not enough level. & goto :BattleSt
if %Ability%==7 if %Level6% LSS 3 set Message=Not enough level. & goto :BattleSt
if %Ability%==8 if %Level6% LSS 17 set Message=Not enough level. & goto :BattleSt
if %Ability%==9 if %Level6% LSS 31 set Message=Not enough level. & goto :BattleSt
if %Ability%==10 if %Level6% LSS 4 set Message=Not enough level. & goto :BattleSt
if %Ability%==11 if %Level6% LSS 18 set Message=Not enough level. & goto :BattleSt
if %Ability%==12 if %Level6% LSS 32 set Message=Not enough level. & goto :BattleSt
if %Ability%==13 if %Level6% LSS 5 set Message=Not enough level. & goto :BattleSt
if %Ability%==14 if %Level6% LSS 19 set Message=Not enough level. & goto :BattleSt
if %Ability%==15 if %Level6% LSS 33 set Message=Not enough level. & goto :BattleSt
if %Ability%==16 if %Level6% LSS 6 set Message=Not enough level. & goto :BattleSt
if %Ability%==17 if %Level6% LSS 20 set Message=Not enough level. & goto :BattleSt
if %Ability%==18 if %Level6% LSS 34 set Message=Not enough level. & goto :BattleSt
if %Ability%==19 if %Level6% LSS 7 set Message=Not enough level. & goto :BattleSt
if %Ability%==20 if %Level6% LSS 21 set Message=Not enough level. & goto :BattleSt
if %Ability%==21 if %Level6% LSS 35 set Message=Not enough level. & goto :BattleSt
if %Ability%==22 if %Level6% LSS 8 set Message=Not enough level. & goto :BattleSt
if %Ability%==23 if %Level6% LSS 22 set Message=Not enough level. & goto :BattleSt
if %Ability%==24 if %Level6% LSS 36 set Message=Not enough level. & goto :BattleSt
if %Ability%==25 if %Level6% LSS 9 set Message=Not enough level. & goto :BattleSt
if %Ability%==26 if %Level6% LSS 23 set Message=Not enough level. & goto :BattleSt
if %Ability%==27 if %Level6% LSS 37 set Message=Not enough level. & goto :BattleSt
if %Ability%==28 if %Level6% LSS 10 set Message=Not enough level. & goto :BattleSt
if %Ability%==29 if %Level6% LSS 24 set Message=Not enough level. & goto :BattleSt
if %Ability%==30 if %Level6% LSS 38 set Message=Not enough level. & goto :BattleSt
if %Ability%==31 if %Level6% LSS 11 set Message=Not enough level. & goto :BattleSt
if %Ability%==32 if %Level6% LSS 25 set Message=Not enough level. & goto :BattleSt
if %Ability%==33 if %Level6% LSS 39 set Message=Not enough level. & goto :BattleSt
if %Ability%==34 if %Level6% LSS 12 set Message=Not enough level. & goto :BattleSt
if %Ability%==35 if %Level6% LSS 26 set Message=Not enough level. & goto :BattleSt
if %Ability%==36 if %Level6% LSS 40 set Message=Not enough level. & goto :BattleSt
if %Ability%==37 if %Level6% LSS 13 set Message=Not enough level. & goto :BattleSt
if %Ability%==38 if %Level6% LSS 27 set Message=Not enough level. & goto :BattleSt
if %Ability%==39 if %Level6% LSS 41 set Message=Not enough level. & goto :BattleSt
if %Ability%==40 if %Level6% LSS 14 set Message=Not enough level. & goto :BattleSt
if %Ability%==41 if %Level6% LSS 28 set Message=Not enough level. & goto :BattleSt
if %Ability%==42 if %Level6% LSS 42 set Message=Not enough level. & goto :BattleSt
if %Ability%==43 if %Level6% LSS 43 set Message=Not enough level. & goto :BattleSt
if %Ability%==44 if %Level6% LSS 44 set Message=Not enough level. & goto :BattleSt
if %Ability%==45 if %Level6% LSS 45 set Message=Not enough level. & goto :BattleSt
if %Ability%==46 if %Level6% LSS 46 set Message=Not enough level. & goto :BattleSt
if %Ability%==47 if %Level6% LSS 47 set Message=Not enough level. & goto :BattleSt
if %Ability%==48 if %Level6% LSS 48 set Message=Not enough level. & goto :BattleSt
echo.
set /p Target=Pick a target: 
if %Target% LEQ 0 set Message=Invalid target. & goto :BattleSt
if %Target% GTR 6 set Message=Invalid target. & goto :BattleSt
if %Target%==2 if %Enemies% LSS 2 set Message=Invalid target. & goto :BattleSt
if %Target%==3 if %Enemies% LSS 3 set Message=Invalid target. & goto :BattleSt
if %Target%==4 if %Enemies% LSS 4 set Message=Invalid target. & goto :BattleSt

:Formulas
set /a LuckNumber=(%Random%/164-100+!Luck%User%!-!Luck%Target%!)/3
if %LuckNumber% LSS -33 set /a LuckNumber=-33
if %LuckNumber%==0 set /a LuckNumber=1
if %LuckNumber% GTR 33 set /a LuckNumber=33
set /a SpeedNumber=!Ability%Ability%BaseSpeed%User%!-(!Ability%Ability%BaseSpeed%User%!*!Speed%User%!/600)-(!Ability%Ability%BaseSpeed%User%!*%LuckNumber%/100)
set /a SpeedNumberMinimum=!Ability%Ability%BaseSpeed%User%!*2/3
set /a SpeedNumberMaximum=!Ability%Ability%BaseSpeed%User%!*4/3
if %SpeedNumber% LSS %SpeedNumberMinimum% set /a SpeedNumber=%SpeedNumberMinimum%
if %SpeedNumber% GTR %SpeedNumberMaximum% set /a SpeedNumber=%SpeedNumberMaximum%
set /a Timer%User%=!Timer%User%!-%SpeedNumber%
set /a PrecisionNumber=(!Ability%Ability%BasePrecision%User%!+!Precision%User%!-!Evasion%Target%!)+(!Ability%Ability%BasePrecision%User%!*%LuckNumber%/100)
if %PrecisionNumber% LSS 10 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it missed. & goto :BattleSt
if !Ability%Ability%Formula%User%!==Normal goto :Normal
if !Ability%Ability%Formula%User%!==PropHP goto :PropHP
if !Ability%Ability%Formula%User%!==PropMHP goto :PropMHP
if !Ability%Ability%Formula%User%!==HP goto :HP
if !Ability%Ability%Formula%User%!==MaxHP goto :MaxHP
if !Ability%Ability%Formula%User%!==Kamikaze goto :Kamikaze
if !Ability%Ability%Formula%User%!==Healing goto :Healing
if !Ability%Ability%Formula%User%!==Revive goto :Revive
if !Ability%Ability%Formula%User%!==StatDown goto :StatDown
if !Ability%Ability%Formula%User%!==StatUp goto :StatUp
if !Ability%Ability%Formula%User%!==Poison goto :Poison
if !Ability%Ability%Formula%User%!==Death goto :Death
if !Ability%Ability%Formula%User%!==Elem1234 goto :Elem
if !Ability%Ability%Formula%User%!==Elem56 goto :Elem
set Message=Invalid ability formula (Debug error, user: %User%, ability: %Ability%)
goto :BattleSt

:Normal
if !HP%Target%!==0 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
set Message=%User% used !Ability%Ability%Formula%User%! on %Target%.
set /a AttackNumber=!Ability%Ability%BaseAttack%User%!+(!Ability%Ability%BaseAttack%User%!*(!Attack%User%!-!Defense%Target%!)/100)+(!Ability%Ability%BaseAttack%User%!*%LuckNumber%/100)
if not !Ability%Ability%Element%User%!==None if !Ability%Ability%Element%User%!==!Element%Target%! goto :Healing
if !Ability%Ability%Element%User%!==Darkness if !Element%Target%!==Light set /a AttackNumber=%AttackNumber%*3/2
if !Ability%Ability%Element%User%!==Light if !Element%Target%!==Thunder set /a AttackNumber=%AttackNumber%*3/2
if !Ability%Ability%Element%User%!==Thunder if !Element%Target%!==Water set /a AttackNumber=%AttackNumber%*3/2
if !Ability%Ability%Element%User%!==Water if !Element%Target%!==Fire set /a AttackNumber=%AttackNumber%*3/2
if !Ability%Ability%Element%User%!==Fire if !Element%Target%!==Ice set /a AttackNumber=%AttackNumber%*3/2
if !Ability%Ability%Element%User%!==Ice if !Element%Target%!==Darkness set /a AttackNumber=%AttackNumber%*3/2
set /a AttackNumberMinimum=!Ability%Ability%BaseAttack%User%!*2/3
set /a AttackNumberMaximum=!Ability%Ability%BaseAttack%User%!*4/3
if %AttackNumber% LSS %AttackNumberMinimum% set /a AttackNumber=%AttackNumberMinimum%
if %AttackNumber% GTR %AttackNumberMaximum% set /a AttackNumber=%AttackNumberMaximum%
if !Ability%Ability%Element%User%!==Darkness if !Element%Target%!==Ice set /a AttackNumber=0
if !Ability%Ability%Element%User%!==Light if !Element%Target%!==Darkness set /a AttackNumber=0
if !Ability%Ability%Element%User%!==Thunder if !Element%Target%!==Light set /a AttackNumber=0
if !Ability%Ability%Element%User%!==Water if !Element%Target%!==Thunder set /a AttackNumber=0
if !Ability%Ability%Element%User%!==Fire if !Element%Target%!==Water set /a AttackNumber=0
if !Ability%Ability%Element%User%!==Ice if !Element%Target%!==Fire set /a AttackNumber=0
set /a HP%Target%=!HP%Target%!-%AttackNumber%
if !HP%Target%! LSS 0 set /a HP%Target%=0
if !Ability%Ability%Element%User%!==None color 20
if !Ability%Ability%Element%User%!==Darkness color 07
if !Ability%Ability%Element%User%!==Light color 70
if !Ability%Ability%Element%User%!==Thunder color 60
if !Ability%Ability%Element%User%!==Water color 30
if !Ability%Ability%Element%User%!==Fire color 40
if !Ability%Ability%Element%User%!==Ice color 17
goto :BattleSt

:PropHP
if !HP%Target%!==0 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !ImmunityProportionalHP%Target%! GEQ !Ability%Ability%BaseAttack%User%! set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it's immune. & goto :BattleSt
set Message=%User% used !Ability%Ability%Formula%User%! on %Target%.
set /a HP%Target%=!HP%Target%!-(!HP%Target%!*!Ability%Ability%BaseAttack%User%!/100)
if !HP%Target%! LSS 0 set /a HP%Target%=0
color 20
goto :BattleSt

:PropMHP
if !HP%Target%!==0 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !ImmunityProportionalMaximumHP%Target%! GEQ !Ability%Ability%BaseAttack%User%! set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it's immune. & goto :BattleSt
set Message=%User% used !Ability%Ability%Formula%User%! on %Target%.
set /a HP%Target%=!HP%Target%!-(!MHP%Target%!*!Ability%Ability%BaseAttack%User%!/100)
if !HP%Target%! LSS 0 set /a HP%Target%=0
color 20
goto :BattleSt

:HP
if !HP%Target%!==0 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !ImmunityHP%Target%!==1 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it's immune. & goto :BattleSt
set Message=%User% used !Ability%Ability%Formula%User%! on %Target%.
set /a HP%Target%=!HP%Target%!-!HP%User%!
if !HP%Target%! LSS 0 set /a HP%Target%=0
color 20
goto :BattleSt

:MaxHP
if !HP%Target%!==0 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !ImmunityMaximumHP%Target%!==1 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it's immune. & goto :BattleSt
set Message=%User% used !Ability%Ability%Formula%User%! on %Target%.
set /a HP%Target%=!HP%Target%!-!MaximumHP%User%!
if !HP%Target%! LSS 0 set /a HP%Target%=0
color 20
goto :BattleSt

:Kamikaze
set /a HP%User%=0
if !HP%Target%!==0 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !ImmunityKamikaze%Target%! GEQ !Ability%Ability%BaseAttack%User%! set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it's immune. & goto :BattleSt
set Message=%User% used !Ability%Ability%Formula%User%! on %Target%.
set /a HP%Target%=!HP%Target%!-(!MaximumHP%User%!*!Ability%Ability%BaseAttack%User%!)
if !HP%Target%! LSS 0 set /a HP%Target%=0
color 20
goto :BattleSt

:Healing
if !HP%Target%!==0 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
set Message=%User% used !Ability%Ability%Formula%User%! on %Target%.
set /a AttackNumber=!Ability%Ability%BaseAttack%User%!+(!Ability%Ability%BaseAttack%User%!*(!Attack%User%!-!Defense%Target%!)/100)+(!Ability%Ability%BaseAttack%User%!*%LuckNumber%/100)
set /a AttackNumberMinimum=!Ability%Ability%BaseAttack%User%!*2/3
set /a AttackNumberMaximum=!Ability%Ability%BaseAttack%User%!*4/3
if %AttackNumber% LSS %AttackNumberMinimum% set /a AttackNumber=%AttackNumberMinimum%
if %AttackNumber% GTR %AttackNumberMaximum% set /a AttackNumber=%AttackNumberMaximum%
set /a HP%Target%=!HP%Target%!+%AttackNumber%
if !HP%Target%! GTR !MaximumHP%Target%! set /a HP%Target%=!MaximumHP%Target%!
if !Ability%Ability%Element%User%!==None color 20
if !Ability%Ability%Element%User%!==Darkness color 07
if !Ability%Ability%Element%User%!==Light color 70
if !Ability%Ability%Element%User%!==Thunder color 60
if !Ability%Ability%Element%User%!==Water color 30
if !Ability%Ability%Element%User%!==Fire color 40
if !Ability%Ability%Element%User%!==Ice color 17
goto :BattleSt

:Revive
if not !HP%Target%!==0 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
set Message=%User% used !Ability%Ability%Formula%User%! on %Target%.
set /a HP%Target%=!MaximumHP%Target%!*!Ability%Ability%BaseAttack%User%!/100
if !HP%Target%! GTR !MaximumHP%Target%! set /a HP%Target%=!MaximumHP%Target%!
color 20
goto :BattleSt

:StatDown
if !HP%Target%!==0 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==7 if !Attack%Target%!==1 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==8 if !Attack%Target%!==1 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==9 if !Attack%Target%!==1 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==13 if !Defense%Target%!==0 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==14 if !Defense%Target%!==0 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==15 if !Defense%Target%!==0 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==19 if !Precision%Target%!==0 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==20 if !Precision%Target%!==0 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==21 if !Precision%Target%!==0 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==25 if !Evasion%Target%!==0 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==26 if !Evasion%Target%!==0 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==27 if !Evasion%Target%!==0 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==31 if !Speed%Target%!==0 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==32 if !Speed%Target%!==0 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==33 if !Speed%Target%!==0 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==37 if !Luck%Target%!==0 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==38 if !Luck%Target%!==0 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==39 if !Luck%Target%!==0 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==7 if !ImmunityAttackDown%Target%! GTR 0 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it's immune. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==8 if !ImmunityAttackDown%Target%! GTR 1 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it's immune. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==9 if !ImmunityAttackDown%Target%! GTR 2 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it's immune. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==13 if !ImmunityDefenseDown%Target%! GTR 0 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it's immune. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==14 if !ImmunityDefenseDown%Target%! GTR 1 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it's immune. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==15 if !ImmunityDefenseDown%Target%! GTR 2 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it's immune. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==19 if !ImmunityPrecisionDown%Target%! GTR 0 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it's immune. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==20 if !ImmunityPrecisionDown%Target%! GTR 1 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it's immune. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==21 if !ImmunityPrecisionDown%Target%! GTR 2 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it's immune. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==25 if !ImmunityEvasionDown%Target%! GTR 0 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it's immune. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==26 if !ImmunityEvasionDown%Target%! GTR 1 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it's immune. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==27 if !ImmunityEvasionDown%Target%! GTR 2 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it's immune. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==31 if !ImmunitySpeedDown%Target%! GTR 0 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it's immune. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==32 if !ImmunitySpeedDown%Target%! GTR 1 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it's immune. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==33 if !ImmunitySpeedDown%Target%! GTR 2 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it's immune. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==37 if !ImmunityLuckDown%Target%! GTR 0 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it's immune. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==38 if !ImmunityLuckDown%Target%! GTR 1 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it's immune. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==39 if !ImmunityLuckDown%Target%! GTR 2 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it's immune. & goto :BattleSt
set Message=%User% used !Ability%Ability%Formula%User%! on %Target%.
if !Ability%Ability%BaseAttack%User%!==7 set /a Attack%Target%=!Attack%Target%!-1
if !Ability%Ability%BaseAttack%User%!==8 set /a Attack%Target%=!Attack%Target%!-2
if !Ability%Ability%BaseAttack%User%!==9 set /a Attack%Target%=!Attack%Target%!-3
if !Attack%Target%! LSS 1 set /a Attack%Target%=1
if !Ability%Ability%BaseAttack%User%!==13 set /a Defense%Target%=!Defense%Target%!-1
if !Ability%Ability%BaseAttack%User%!==14 set /a Defense%Target%=!Defense%Target%!-2
if !Ability%Ability%BaseAttack%User%!==15 set /a Defense%Target%=!Defense%Target%!-3
if !Defense%Target%! LSS 0 set /a Defense%Target%=0
if !Ability%Ability%BaseAttack%User%!==19 set /a Precision%Target%=!Precision%Target%!-1
if !Ability%Ability%BaseAttack%User%!==20 set /a Precision%Target%=!Precision%Target%!-2
if !Ability%Ability%BaseAttack%User%!==21 set /a Precision%Target%=!Precision%Target%!-3
if !Precision%Target%! LSS 0 set /a Precision%Target%=0
if !Ability%Ability%BaseAttack%User%!==25 set /a Evasion%Target%=!Evasion%Target%!-1
if !Ability%Ability%BaseAttack%User%!==26 set /a Evasion%Target%=!Evasion%Target%!-2
if !Ability%Ability%BaseAttack%User%!==27 set /a Evasion%Target%=!Evasion%Target%!-3
if !Evasion%Target%! LSS 0 set /a Evasion%Target%=0
if !Ability%Ability%BaseAttack%User%!==31 set /a Speed%Target%=!Speed%Target%!-1
if !Ability%Ability%BaseAttack%User%!==32 set /a Speed%Target%=!Speed%Target%!-2
if !Ability%Ability%BaseAttack%User%!==33 set /a Speed%Target%=!Speed%Target%!-3
if !Speed%Target%! LSS 0 set /a Speed%Target%=0
if !Ability%Ability%BaseAttack%User%!==37 set /a Luck%Target%=!Luck%Target%!-1
if !Ability%Ability%BaseAttack%User%!==38 set /a Luck%Target%=!Luck%Target%!-2
if !Ability%Ability%BaseAttack%User%!==39 set /a Luck%Target%=!Luck%Target%!-3
if !Luck%Target%! LSS 0 set /a Luck%Target%=0
color 20
goto :BattleSt

:StatUp
if !HP%Target%!==0 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==10 if !Attack%Target%!==200 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==11 if !Attack%Target%!==200 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==12 if !Attack%Target%!==200 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==16 if !Defense%Target%!==200 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==17 if !Defense%Target%!==200 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==18 if !Defense%Target%!==200 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==22 if !Precision%Target%!==200 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==23 if !Precision%Target%!==200 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==24 if !Precision%Target%!==200 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==28 if !Evasion%Target%!==200 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==29 if !Evasion%Target%!==200 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==30 if !Evasion%Target%!==200 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==34 if !Speed%Target%!==200 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==35 if !Speed%Target%!==200 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==36 if !Speed%Target%!==200 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==40 if !Luck%Target%!==200 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==41 if !Luck%Target%!==200 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !Ability%Ability%BaseAttack%User%!==42 if !Luck%Target%!==200 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
set Message=%User% used !Ability%Ability%Formula%User%! on %Target%.
if !Ability%Ability%BaseAttack%User%!==10 set /a Attack%Target%=!Attack%Target%!+1
if !Ability%Ability%BaseAttack%User%!==11 set /a Attack%Target%=!Attack%Target%!+2
if !Ability%Ability%BaseAttack%User%!==12 set /a Attack%Target%=!Attack%Target%!+3
if !Attack%Target%! GTR 200 set /a Attack%Target%=200
if !Ability%Ability%BaseAttack%User%!==16 set /a Defense%Target%=!Defense%Target%!+1
if !Ability%Ability%BaseAttack%User%!==17 set /a Defense%Target%=!Defense%Target%!+2
if !Ability%Ability%BaseAttack%User%!==18 set /a Defense%Target%=!Defense%Target%!+3
if !Defense%Target%! GTR 200 set /a Defense%Target%=200
if !Ability%Ability%BaseAttack%User%!==22 set /a Precision%Target%=!Precision%Target%!+1
if !Ability%Ability%BaseAttack%User%!==23 set /a Precision%Target%=!Precision%Target%!+2
if !Ability%Ability%BaseAttack%User%!==24 set /a Precision%Target%=!Precision%Target%!+3
if !Precision%Target%! GTR 200 set /a Precision%Target%=200
if !Ability%Ability%BaseAttack%User%!==28 set /a Evasion%Target%=!Evasion%Target%!+1
if !Ability%Ability%BaseAttack%User%!==29 set /a Evasion%Target%=!Evasion%Target%!+2
if !Ability%Ability%BaseAttack%User%!==30 set /a Evasion%Target%=!Evasion%Target%!+3
if !Evasion%Target%! GTR 200 set /a Evasion%Target%=200
if !Ability%Ability%BaseAttack%User%!==34 set /a Speed%Target%=!Speed%Target%!+1
if !Ability%Ability%BaseAttack%User%!==35 set /a Speed%Target%=!Speed%Target%!+2
if !Ability%Ability%BaseAttack%User%!==36 set /a Speed%Target%=!Speed%Target%!+3
if !Speed%Target%! GTR 200 set /a Speed%Target%=200
if !Ability%Ability%BaseAttack%User%!==40 set /a Luck%Target%=!Luck%Target%!+1
if !Ability%Ability%BaseAttack%User%!==41 set /a Luck%Target%=!Luck%Target%!+2
if !Ability%Ability%BaseAttack%User%!==42 set /a Luck%Target%=!Luck%Target%!+3
if !Luck%Target%! GTR 200 set /a Luck%Target%=200
color 20
goto :BattleSt

:Poison
if !HP%Target%!==0 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !ImmunityPoison%Target%! GEQ !Ability%Ability%BaseAttack%User%! set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it's immune. & goto :BattleSt
if !Poison%Target%! GEQ !Ability%Ability%BaseAttack%User%! set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
set Message=%User% used !Ability%Ability%Formula%User%! on %Target%.
set /a Poison%Target%=!Ability%Ability%BaseAttack%User%!
color 20
goto :BattleSt

:Death
if !HP%Target%!==0 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it failed. & goto :BattleSt
if !ImmunityDeath%Target%!==1 set Message=%User% used !Ability%Ability%Formula%User%! on %Target%, but it's immune. & goto :BattleSt
set Message=%User% used !Ability%Ability%Formula%User%! on %Target%.
set /a HP%Target%=0
color 20
goto :BattleSt

:Elem
set Message=%User% used !Ability%Ability%Formula%User%! on %Target%.
set/a RandomElement=%Random%/4682
if %RandomElement%==0 set /a RandomElement=1
if %RandomElement%==1 set Element%Target%=Fire & color 40
if %RandomElement%==2 set Element%Target%=Ice & color 17
if %RandomElement%==3 set Element%Target%=Thunder & color 60
if %RandomElement%==4 set Element%Target%=Water & color 30
if %RandomElement%==5 set Element%Target%=Light & color 70
if %RandomElement%==6 set Element%Target%=Darkness & color 07
goto :BattleSt

:Lose
echo You lost. Press any key to restart.
pause >nul
goto :Starting

:Win
echo You won. Press any key to proceed.
pause >nul
set /a HP5=%RealHP5%
set /a MaximumHP5=%RealMaximumHP5%
set /a Attack5=%RealAttack5%
set /a Defense5=%RealDefense5%
set /a Precision5=%RealPrecision5%
set /a Evasion5=%RealEvasion5%
set /a Speed5=%RealSpeed5%
set /a Luck5=%RealLuck5%
set /a HP6=%RealHP6%
set /a MaximumHP6=%RealMaximumHP6%
set /a Attack6=%RealAttack6%
set /a Defense6=%RealDefense6%
set /a Precision6=%RealPrecision6%
set /a Evasion6=%RealEvasion6%
set /a Speed6=%RealSpeed6%
set /a Luck6=%RealLuck6%
set /a Experience5=%Experience5%+%Level1%
set /a Experience6=%Experience6%+%Level1%
if %Enemies% GTR 1 set /a Experience5=%Experience5%+%Level2% & set /a Experience6=%Experience6%+%Level2%
if %Enemies% GTR 2 set /a Experience5=%Experience5%+%Level3% & set /a Experience6=%Experience6%+%Level3%
if %Enemies% GTR 3 set /a Experience5=%Experience5%+%Level4% & set /a Experience6=%Experience6%+%Level4%
set Message=The sweeper and the supporter obtained experience points.
set /a Return=1

:ExpEarn
cls
title 004RPG - Experience earned
echo Welcome to 004RPG: Experience earned.
echo.
echo 5) Level: %Level5%, experience: %Experience5%, HP: %MaximumHP5%, attack: %Attack5%, defense: %Defense5%,
echo    precision: %Precision5%, evasion: %Evasion5%, speed: %Speed5%, luck: %Luck5%.
echo.
echo 6) Level: %Level6%, experience: %Experience6%, HP: %MaximumHP6%, attack: %Attack6%, defense: %Defense6%,
echo    precision: %Precision6%, evasion: %Evasion6%, speed: %Speed6%, luck: %Luck6%.
echo.
echo Message: %Message%
timeout /t 5 >nul
set /a LevelUp5=%Level5%*2
set /a LevelUp6=%Level6%*2
if %Experience5% GEQ %LevelUp5% if not %Level5%==100 goto :LevelUp5
if %Experience6% GEQ %LevelUp6% if not %Level6%==100 goto :LevelUp6
if %Level5%==100 if %Level6%==100 goto :SaveMenu
set /a LevelUp5=%Level5%*2
set /a LevelUp6=%Level6%*2
if %Experience5% GEQ %LevelUp5% goto :ExpEarn
if %Experience6% GEQ %LevelUp6% goto :ExpEarn

:SaveMenu
cls
title 004RPG - Save game
echo Welcome to 004RPG: Save game.
echo.
echo 5) Level: %Level5%, experience: %Experience5%, HP: %MaximumHP5%, attack: %Attack5%, defense: %Defense5%,
echo    precision: %Precision5%, evasion: %Evasion5%, speed: %Speed5%, luck: %Luck5%.
echo.
echo 6) Level: %Level6%, experience: %Experience6%, HP: %MaximumHP6%, attack: %Attack6%, defense: %Defense6%,
echo    precision: %Precision6%, evasion: %Evasion6%, speed: %Speed6%, luck: %Luck6%.
echo.
echo Message: %Message%
echo.
echo 0) Proceed without saving.
echo 1) Save game.
echo.
set /p Choice=Pick an option: 
if %Choice%==0 goto :Starting
if %Choice%==1 goto :SaveGame
set Message=Invalid option.
goto :SaveMenu

:SaveGame
(
 echo set /a Level5=%Level5%
 echo set /a Experience5=%Experience5%
 echo set /a HP5=%HP5%
 echo set /a MaximumHP5=%MaximumHP5%
 echo set /a Attack5=%Attack5%
 echo set /a Defense5=%Defense5%
 echo set /a Precision5=%Precision5%
 echo set /a Evasion5=%Evasion5%
 echo set /a Speed5=%Speed5%
 echo set /a Luck5=%Luck5%
 echo set /a Level6=%Level6%
 echo set /a Experience6=%Experience6%
 echo set /a HP6=%HP6%
 echo set /a MaximumHP6=%MaximumHP6%
 echo set /a Attack6=%Attack6%
 echo set /a Defense6=%Defense6%
 echo set /a Precision6=%Precision6%
 echo set /a Evasion6=%Evasion6%
 echo set /a Speed6=%Speed6%
 echo set /a Luck6=%Luck6%
 ) > SaveData.cmd
goto :Starting
